# alch\_{ $optionsPageID }\_position

Dynamic filter `alch_{ $optionsPageID }_position` should be used to change the position parameter for the page with a specific ID. The default value is returned with the [alch\_default\_page\_position](/filters/alch_default_page_position.md) hook.

## Example

We have an AO options page with the `id` of `my-options-page`, the code should look as follows:

```php
function change_my_options_page_position() {
    return 20;
}

add_filter( 'alch_my-options-page_position', 'change_my_options_page_position' );
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alchemy-options.com/filters/alch_options_page_id_position.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
